This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Installing Cygwin on XP-SP3 with setup-x86.exe 2.874

On 11/6/16, Tom P  wrote:
> Hi all, first time posting.
> I first installed Cygwin a few months ago on my XP SP3 machine, don't
> know much about Linux but wanted to use ddrescue to image some disks
> and I found it to work great! Thanks for this great solution!
> The other day I wanted to add the lsblk command, which I tried by
> running setup-x86.exe again and searching for a lsblk package to add,
> but after installing packages it broke Cygwin completely.

Right.  The current version of cygwin doesn't support WinXP.

> Now I get the following error when trying to run it:
> "mintty.exe - Entry Point Not Found. The procedure entry point
> CancelSynchronousIo could not be located in the dynamic link library
> KERNEL32.dll"
> Is there a way to get v2.874 of setup-x86.exe to only download the
> older, XP-compatible packages? Because right now aside from the fact
> the first few steps of the installer actually run, 2.874 doesn't
> really work on XP either.

Probably not.

I don't know which would be better - trying to revert everything that
was upgraded or wipe the install and start over from scratch.  Either
way, you need to use the cygwin time machine
to install/update cygwin on winXP.


> As a warning to anyone else running Cygwin on XP - I'm guessing my big
> mistake was not noticing and leaving the default option of "Curr"
> checked, which means update all parts of Cygwin to the latest version?
> I should have selected "Keep", so that only the new lsblk package I
> wanted would be downloaded?

Problem reports:
Unsubscribe info:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]